J_GET_PAIR_INFO(3)

FUNCTION
j_get_pair_info - Get key and value information for a key-value pair.

SYNOPSIS
#include <karma_j.h>

void j_get_pair_info

(KJoinedPair pair, void **key, uaddr *key_length, void **value, uaddr *value_length)

DESCRIPTION
This routine will get the key and value information for a key-value pair in an associative array.

pair
    The key-value pair.

key The key will be written here.

key_length
    The length of the key will be written here.

value
    The value will be written here.

value_length
    The length of the value will be written here.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/